# AIS_KindOfDimension.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | AIS_KindOfDimension { AIS_KOD_NONE, AIS_KOD_LENGTH, AIS_KOD_PLANEANGLE, AIS_KOD_SOLIDANGLE, AIS_KOD_AREA, AIS_KOD_VOLUME, AIS_KOD_MASS, AIS_KOD_TIME, AIS_KOD_RADIUS, AIS_KOD_DIAMETER, AIS_KOD_CHAMF2D, AIS_KOD_CHAMF3D, AIS_KOD_OFFSET, AIS_KOD_ELLIPSERADIUS }

## Enumeration Type Documentation

enum AIS_KindOfDimension

Enumeration values:

  AIS_KOD_NONE |
  AIS_KOD_LENGTH |
  AIS_KOD_PLANEANGLE |
  AIS_KOD_SOLIDANGLE |
  AIS_KOD_AREA |
  AIS_KOD_VOLUME |
  AIS_KOD_MASS |
  AIS_KOD_TIME |
  AIS_KOD_RADIUS |
  AIS_KOD_DIAMETER |
  AIS_KOD_CHAMF2D |
  AIS_KOD_CHAMF3D |
  AIS_KOD_OFFSET |
  AIS_KOD_ELLIPSERADIUS |